---
title: PaymentRequestEvent()
slug: Web/API/PaymentRequestEvent/PaymentRequestEvent
tags:
  - API
  - Constructor
  - Payment Request API
  - PaymentRequestEvent
  - Reference
  - payment
---
<p>{{APIRef("Payment Request API")}}{{Non-standard_header}}</p>

<p>The <strong><code>PaymentRequestEvent</code></strong> constructor creates a new {{domxref("PaymentRequestEvent")}} object which is a constructor for a {{domxref("PaymentRequestEvent")}} which is the object passed to a payment handler when a {{domxref("PaymentRequest")}} is made..</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentRequestEvent</em> = new PaymentRequestEventy(type, options)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>type</em> </dt>
 <dd>Must always be <code>'PaymentRequest'</code>.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>instrumentKey</code>: A {{domxref("PaymentInstrument")}} object reflecting the payment instrument selected by the user or an empty string if the user has not registered or chosen a payment instrument.</li>
  <li><code>methodData</code>: An array of {{domxref("PaymentMethodData")}} objects containing payment method identifers for the payment methods that the web site accepts and any associated payment method specific data.</li>
  <li><code>modifiers</code>: An array of objects containing changes to payment details.</li>
  <li><code>paymentRequestId</code>: The ID of the {{domxref("PaymentRequest")}} object.</li>
  <li><code>paymentRequestOrigin</code>: The origin where the {{domxref("PaymentRequest")}} object was initialized.</li>
  <li><code>topLeveOrigin</code>: The top-level origin where the {{domxref("PaymentRequest")}} object was initialized.</li>
  <li><code>total</code>: The total amount being requested for payment.</li>
 </ul>
 </dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaymentRequestEvent.PaymentRequestEvent")}}</p>
